import cPickle,gzip
import numpy as np
from data_reader import lm_reader
import scipy.ndimage.filters as filters
import os
pwd = os.path.dirname(os.path.abspath(__file__))
# print pwd

model = pwd+'/models/basic01.pklz'
dat = cPickle.load(gzip.open(model,'rb'))


def basic(pwd_in,pwd_out):
    if pwd_in[-1]!='/':pwd_in=pwd_in+'/'
    pose, l10, l49,_ = lm_reader(pwd_in)

    dat['pip'].rm_seq_mean = 1
    X = dat['pip'].transform([l49])
    y = dat['clf'].predict(X)[0]

    for i in range(y.shape[1]):y[:,i] = filters.gaussian_filter(y[:,i],15)
    res = []
    for i in y.T:
        res.append(i>0.5)
        res.append(i)
    res = np.array(res).T
    np.savetxt(pwd_out, res, delimiter=",")
